Bug 429287 - NM-vpnc does not ask for a new password when reconnecting to a dropped connection
NM-vpnc does not ask for a new password when reconnecting to a dropped connec...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: NetworkManager-vpnc (Show other bugs)
8
All Linux
low Severity high
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
:
: 340411 448946 (view as bug list)
Depends On:
Blocks: F8Target
  Show dependency treegraph
 
Reported: 2008-01-18 10:23 EST by Russell Harrison
Modified: 2014-07-20 15:08 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-12-21 18:38:51 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
syslog messages for reconnect attempt (4.37 KB, application/octet-stream)
2008-01-18 10:23 EST, Russell Harrison
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 504807 None None None Never

  None (edit)
Description Russell Harrison 2008-01-18 10:23:43 EST
Description of problem:
For our site we use constantly changing keys for the VPN password.  I have
NM-vpnc set to only save the group password in the keyring which works fine. 
However, when the VPN connection drops for whatever reason I am unable to
reconnect to the VPN by clicking on the nm-applet.  I assume it attempts to
connect with the password used for the previous connection.

Version-Release number of selected component (if applicable):
$ rpm -qa | egrep 'Network|vpn'
NetworkManager-gnome-0.7.0-0.6.6.svn3138.fc8
NetworkManager-vpnc-0.7.0-0.6.3.svn3109.fc8
NetworkManager-glib-0.7.0-0.6.6.svn3138.fc8
vpnc-0.5.1-2.fc8
NetworkManager-0.7.0-0.6.6.svn3138.fc8

How reproducible:

Steps to Reproduce:
1. Connect to a vpnc VPN with passwords that change using NM
2. pull the Ethernet connection until vpnc drops the VPN
3. Reconnect the network
4. Attempt to reconnect to the VPN by clicking on the nm-applet --> VPN
Connections --> ExampleVPN
  
Actual results:
nm-vpn applet shows the vpnc connecting animation and fails to connect

Expected results:
dialog box for the VPN connection settings show show allowing me to input a new
key as the password.

Additional info:
To reconnect to the VPN I have to restart NetworkManager and then attempt to
reconnect to the VPN.
Comment 1 Russell Harrison 2008-01-18 10:23:43 EST
Created attachment 292156 [details]
syslog messages for reconnect attempt
Comment 2 Fabien MARTY 2008-01-24 14:49:39 EST
same problem for me

the password is made by a dedicated pocket calculator

it was working perfectly in FC7 

but in FC8 with :

vpnc-0.5.1-2.fc8
NetworkManager-vpnc-0.7.0-0.6.3.svn3109.fc8
NetworkManager-0.7.0-0.6.6.svn3138.fc8

I can connect to VPN only once !
Comment 3 Didier G 2008-01-25 19:42:19 EST
Same problem for me.

Password is generated by a Safeword Platinum device from Secure Computing and is
usable only during a short period.

If I encounter any problem after connection, I am unable to restart vpn if I
don't close my session then open a new one.

We need an option in NM-vpnc to clear all previous settings before to reconnect.

My configuration is :

vpnc-consoleuser-0.5.1-2.fc8
vpnc-0.5.1-2.fc8
NetworkManager-vpnc-0.7.0-0.6.3.svn3109.fc8

At this time severity for this bug is low. In my humble opinion it should be
high or at least medium.
Comment 4 Russell Harrison 2008-04-26 10:26:08 EDT
This still isn't working properly.  I've raised the severity for this bug to
high.  This is a problem that any user connecting to a system with changing
passwords will hit this on a regular basis.
Comment 5 Denis Leroy 2008-04-27 04:18:14 EDT
Yeah, I'm burned by this bug on a *daily* basis. I remember digging pretty deep
into the code for this, but it's a missing feature more than a bug. It's going
to  be tough to get DanW to back-port a fix for this to F-8 I'm afraid...
Comment 6 Didier G 2008-05-18 17:02:21 EDT
This bug opened since months is really boring : most times I close my session at
by job is to reopen it to work arround this bug....

Why you dont include in NetworkManager menu an option "Clear all vpn settings" ?

Using this option it will be possible to start a new vpn connection without have
to close current session and reopen a new one.
Comment 7 Denis Leroy 2008-05-18 20:42:26 EDT
what about Fedora 9 ?
Comment 8 Didier G 2008-05-18 20:47:38 EDT
This bug still exists in Fedora 9
Comment 9 Dan Williams 2008-11-14 10:20:08 EST
*** Bug 340411 has been marked as a duplicate of this bug. ***
Comment 10 Dan Williams 2008-11-17 09:15:42 EST
*** Bug 448946 has been marked as a duplicate of this bug. ***
Comment 11 Fedora Update System 2008-11-23 17:55:07 EST
NetworkManager-pptp-0.7.0-0.12.svn4326.fc10,NetworkManager-openvpn-0.7.0-16.svn4326.fc10,NetworkManager-vpnc-0.7.0-0.11.svn4326.fc10,NetworkManager-0.7.0-0.12.svn4326.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/NetworkManager-pptp-0.7.0-0.12.svn4326.fc10,NetworkManager-openvpn-0.7.0-16.svn4326.fc10,NetworkManager-vpnc-0.7.0-0.11.svn4326.fc10,NetworkManager-0.7.0-0.12.svn4326.fc10
Comment 12 Fedora Update System 2008-11-23 18:05:26 EST
NetworkManager-0.7.0-0.12.svn4326.fc9,NetworkManager-vpnc-0.7.0-0.11.svn4326.fc9,NetworkManager-openvpn-0.7.0-16.svn4326.fc9,NetworkManager-pptp-0.7.0-0.12.svn4326.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/NetworkManager-0.7.0-0.12.svn4326.fc9,NetworkManager-vpnc-0.7.0-0.11.svn4326.fc9,NetworkManager-openvpn-0.7.0-16.svn4326.fc9,NetworkManager-pptp-0.7.0-0.12.svn4326.fc9
Comment 13 Fedora Update System 2008-11-23 18:07:43 EST
NetworkManager-0.7.0-0.12.svn4326.fc8,NetworkManager-vpnc-0.7.0-0.11.svn4326.fc8,NetworkManager-openvpn-0.7.0-16.svn4326.fc8,NetworkManager-pptp-0.7.0-0.12.svn4326.fc8 has been submitted as an update for Fedora 8.
http://admin.fedoraproject.org/updates/NetworkManager-0.7.0-0.12.svn4326.fc8,NetworkManager-vpnc-0.7.0-0.11.svn4326.fc8,NetworkManager-openvpn-0.7.0-16.svn4326.fc8,NetworkManager-pptp-0.7.0-0.12.svn4326.fc8
Comment 14 Fedora Update System 2008-11-26 01:15:14 EST
NetworkManager-0.7.0-0.12.svn4326.fc8, NetworkManager-vpnc-0.7.0-0.11.svn4326.fc8, NetworkManager-openvpn-0.7.0-16.svn4326.fc8, NetworkManager-pptp-0.7.0-0.12.svn4326.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing-newkey update NetworkManager NetworkManager-vpnc NetworkManager-openvpn NetworkManager-pptp'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F8/FEDORA-2008-10263
Comment 15 Fedora Update System 2008-11-26 01:19:18 EST
NetworkManager-0.7.0-0.12.svn4326.fc9, NetworkManager-vpnc-0.7.0-0.11.svn4326.fc9, NetworkManager-openvpn-0.7.0-16.svn4326.fc9, NetworkManager-pptp-0.7.0-0.12.svn4326.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing-newkey update NetworkManager NetworkManager-vpnc NetworkManager-openvpn NetworkManager-pptp'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2008-10321
Comment 16 Fedora Update System 2008-11-26 01:22:48 EST
NetworkManager-pptp-0.7.0-0.12.svn4326.fc10, NetworkManager-openvpn-0.7.0-16.svn4326.fc10, NetworkManager-vpnc-0.7.0-0.11.svn4326.fc10, NetworkManager-0.7.0-0.12.svn4326.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 17 Didier G 2008-11-26 02:04:28 EST
I installed svn4326 from koji on both fc9 and fc10 and it work fine: it is possible to reconnect after disconnect.

The only "problem" is that it is necessary to delete et recreate the VPN connections after installation. This should be documented somewhere.
Comment 18 Bug Zapper 2008-11-26 04:28:22 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 19 Dan Williams 2008-11-26 10:59:04 EST
(In reply to comment #17)
> I installed svn4326 from koji on both fc9 and fc10 and it work fine: it is
> possible to reconnect after disconnect.
> 
> The only "problem" is that it is necessary to delete et recreate the VPN
> connections after installation. This should be documented somewhere.

Hmm, that shouldn't be the case.  Can you describe a bit more what happened and what the symptoms were that caused you to have to delete and recreate them?  Did the connections just not show up in the menu?
Comment 20 Didier G 2008-11-26 16:55:51 EST
When just after installation of the new version and reboot I tried to connect to all previously defined connections, all tries failed as if I did not provide the correct password.

I deleted all previously connections, recreated them and after connections work fine.
Comment 21 Fedora Update System 2008-12-21 18:37:54 EST
NetworkManager-0.7.0-0.12.svn4326.fc9, NetworkManager-vpnc-0.7.0-0.11.svn4326.fc9, NetworkManager-openvpn-0.7.0-16.svn4326.fc9, NetworkManager-pptp-0.7.0-0.12.svn4326.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 22 Fedora Update System 2008-12-21 18:42:56 EST
NetworkManager-0.7.0-0.12.svn4326.fc8, NetworkManager-vpnc-0.7.0-0.11.svn4326.fc8, NetworkManager-openvpn-0.7.0-16.svn4326.fc8, NetworkManager-pptp-0.7.0-0.12.svn4326.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 23 Russell Harrison 2014-07-20 15:08:32 EDT
I'm just updating to remove the needinfo status for a bug that has long since been closed.

Note You need to log in before you can comment on or make changes to this bug.